import { Compiler } from 'webpack';
import WebSocket from 'ws';
import chokidar from 'chokidar';
import express from 'express';
import * as c from './constants';
export { c as constants };
export interface Options {
    config?: string;
    hostname?: string;
    locale?: string;
    staticPaths?: {
        name: string;
        fn: express.RequestHandler;
    }[];
    serverPath?: string;
    serverPort?: number | string;
    wssPort?: number | string;
}
declare class NoodlWebpackPlugin {
    options: Required<Options>;
    server: express.Express | undefined;
    watch: chokidar.FSWatcher | undefined;
    wss: WebSocket.Server | undefined;
    static pluginName: string;
    constructor(options?: Partial<Options>);
    get config(): string;
    set config(config: string);
    get serverUrl(): string;
    get wssUrl(): string;
    apply(compiler: Compiler): void;
    getRoutes(name: string): [string, string, string];
    /**
     * @param { object } options
     * @param { express.Express } options.server
     * @param { WebSocket.Server } options.wss
     * @param { chokidar.FSWatcher } options.watch
     */
    listen({ server, wss, watch, }: Pick<NoodlWebpackPlugin, 'server' | 'watch' | 'wss'>): void;
}
export default NoodlWebpackPlugin;
