export declare function getFilename(str?: string): string;
export declare function getExt(str: string): string;
export declare function getFilePath(...paths: string[]): string;
export declare function isImg(s: string): boolean;
export declare function isPdf(s: string): boolean;
export declare function isVid(s: string): boolean;
export declare function isYml(s: string): boolean;
export declare function loadFile(filepath: string): string;
export interface MetadataObject {
    ext: string;
    filename: string;
    filepath: string;
    group: 'documents' | 'images' | 'page' | 'scripts' | 'videos';
    link?: string;
    pathname: string;
    raw: string;
}
/** @param { 'filepath' | 'link' } type */
export declare function createMetadataExtractor(type: 'filepath' | 'link'): (s: string | {
    baseUrl: string;
    prefix: string;
}) => MetadataObject;
